server {
    listen 80 default_server;
    listen [::]:80 default_server;
    return 301 https://$host$request_uri;
}

server {
    listen 443 ssl http2 default_server;
    listen [::]:443 ssl http2 default_server;

    add_header Strict-Transport-Security "max-age=31536000;";

    root /srv/portal;
    index index.html;

    location / {
        try_files $uri $uri/ =404;
    }
}
